<?php
require_once("include/dbcommon.php"); // DataBase PHPRunner

if (isset($_SESSION['grupo'])) {
    $grupo = $_SESSION['grupo']; // Grupo que estamos accediendo
} elseif (isset($_SESSION['jefe'])) {
		$jefe = $_SESSION['jefe'];
}
	else {
		$user_idusuario = $_SESSION["user_idusuario"]; // Usuario que estamos accediendo
}

// Require our Event class and datetime utilities
require 'fullcalendar/php/utils.php';


$language = 'es';

if (isset($grupo)) { // Accediendo por Grupo
$sql = "
SELECT
grupo_trabajo.`Titulo`,
usuario.`idusuario`,
usuario.`Login`,
usuario.`NombreyApellido`,
usuario.`Color`
FROM grupo_trabajo
JOIN usuario_grupo ON (usuario_grupo.`grupo_trabajo_idgrupo_trabajo` = grupo_trabajo.`idgrupo_trabajo`)
JOIN usuario ON (usuario.`idusuario` = usuario_grupo.`usuario_idusuario`)
WHERE grupo_trabajo.`Titulo` = '$grupo'
ORDER BY usuario.`NombreyApellido`
";
}
if (isset($user_idusuario)) { // Accediendo por Usuario
$sql = "
SELECT
'Empresa' Titulo,
usuario.`idusuario`,
usuario.`Login`,
usuario.`NombreyApellido`,
usuario.`Color`
FROM usuario
WHERE usuario.`idusuario` = $user_idusuario
";
}
if (isset($jefe)) { // Accediendo por Jefe
$sql = "
SELECT
'Empresa' Titulo,
idusuario, 
NombreyApellido, 
Color 
FROM usuario
WHERE Jefe_id = $jefe
";
}


$rs = DB::Query($sql);
// Accumulate an output array of event data arrays.
// $output_arrays = array();
$str = '[';

$group ='';
while( $data = $rs->fetchAssoc() ){
 
    If ($group <> $data['Titulo']) {
        if ($group <> '' ) {
            $str = substr($str,0,strlen($str)-1); // erase last ","
            $str .= '  ] },';
        }
        $str .= '{ "id": "'.$data['Titulo'].'", "title": "'.$data['Titulo'].'", "children": [';
        $group = $data['Titulo'];
        
    } 
    $str .= '{ "id": "'.$data['idusuario'].'", "title": "'.$data['NombreyApellido'].'", "eventColor": "'.$data['Color'].'" },';
    
}
$str = substr($str,0,strlen($str)-1); // erase last ","
$str .= '  ] } ]';

echo $str;
// Send JSON to the client.
// $str = json_encode($output_arrays);
// echo json_encode($output_arrays);

?>
